VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "clsDirectInput"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit

Public Sub InitDInput()
 'Purpose: Initializing the DirectInput Keyboard Device
   Set DI = DirectX.DirectInputCreate()
   Set DIKeyBoard = DI.CreateDevice("GUID_SysKeyboard")
   DIKeyBoard.SetCommonDataFormat DIFORMAT_KEYBOARD
   DIKeyBoard.SetCooperativeLevel frmMain.hwnd, DISCL_BACKGROUND Or DISCL_NONEXCLUSIVE
   DIKeyBoard.Acquire
End Sub

Public Sub GetInput()
 'Purpose: Checking for input and actions
    Static lngLastTime As Long
    Static lngLastWeapon As Long
    
    DIKeyBoard.GetDeviceState 256, blnKeyboardState(0)
    
    If (DirectX.TickCount - lngLastTime) > 30 Then 'Only accept keys every 30ms
    
        If blnKeyboardState(DIK_ESCAPE) Then 'End game anytime
            UnloadAll
            End
        End If
        
        
        If blnHighScoreInput = False Then
            If blnKeyboardState(DIK_F1) Then
                If blnWaitForF1 = True Then blnWaitForF1 = False
        End If
        
        If blnPauzeGame = False Then  'Do not move when the game is paused
            With Player
                If blnKeyboardState(DIK_UP) Then 'Move up
                    .Y = .Y - 8 '0
                    If .Y < 0 Then .Y = 0
                End If
        
                If blnKeyboardState(DIK_DOWN) Then 'Move down
                    .Y = .Y + 8 '0
                    If (.Y + 120) > GameOptions.ResY Then .Y = (GameOptions.ResY - 120)
                End If
        
                If blnKeyboardState(DIK_LEFT) Then 'Move left
                    .X = .X - 8 '0
                    If .X < BackGroundX Then .X = BackGroundX
                End If
        
                If blnKeyboardState(DIK_RIGHT) Then 'Move right
                    .X = .X + 8 '0
                    If (.X + 106) > (BackGroundX + 640) Then .X = (BackGroundX + 640) - 106
                End If
            End With
        
            If blnKeyboardState(DIK_RCONTROL) Or blnKeyboardState(DIK_LCONTROL) Then 'FIRE!
                If (DirectX.TickCount - lngLastWeapon) > 400 Then 'Slow down weapons to 400ms/shot
                    AddPlayerWeapon
                    lngLastWeapon = DirectX.TickCount 'Set currenttick as lasttick
                End If
            End If
        End If 'End Pause check
        
        If blnKeyboardState(DIK_P) Then 'Pauze game
            blnPauzeGame = Not blnPauzeGame
        End If
        
        If blnKeyboardState(DIK_SPACE) Then
            If blnWaitForSpace = True Then blnWaitForSpace = False
        End If
        End If
    
    lngLastTime = DirectX.TickCount 'Set lasttick as currenttick
    End If
    
End Sub
