Attribute VB_Name = "mdlBurgers"
Option Explicit

Public Sub AddBurgers(X As Long, Y As Long)
 'Purpose: Adding a burger at the specified x,y position
 Dim I As Integer
  
    For I = 1 To TotalBurgers   'Check for disabled burgers
        If Burgers(I).Enabled = False Then GoTo AddNewBurgers 'Skip creation of new burger
    Next I
    
    TotalBurgers = TotalBurgers + 1
    I = TotalBurgers
    ReDim Preserve Burgers(I) 'Preserve burger
    
    
AddNewBurgers:
    With Burgers(I)
    .X = X + 36
    .Y = Y + 36
    .Enabled = True
    .Alpha = 1
    End With
End Sub


Public Sub ShowBurgers()
 'Purpose: Blitting the burger, and fade out if necassary
 Dim I As Integer, TempRect As RECT
 
    For I = 1 To TotalBurgers
        'Fade out, doesn't have to be enabled
        
        With Burgers(I)
            If .Alpha > 0 And .Alpha < 1 Then
                With TempRect
                    .Top = 341
                    .Bottom = 384
                    .Left = 60 * Burgers(I).Frame 'Update animation
                    .Right = .Left + 60
                End With
                TransparantBlit .X, .Y, TempRect, ddsSprites, .Alpha, 50712 'the latter value is the transparant color
                .Alpha = .Alpha - 0.02
                .Y = .Y + 4 'Move down with 4pixels/frame
            End If
        End With
        
        
        If Burgers(I).Enabled = True Then
            With Burgers(I)
                If (DirectX.TickCount - .LastTick) > 200 Then 'Those burgers rotate way too fast, when you're using a nice frame rate 5times/sec
                    .Frame = .Frame + 1                          'Slow them down...
                    If .Frame = 3 Then .Frame = 0            'Update animation
                    .LastTick = DirectX.TickCount
                End If
                
                With TempRect
                    .Top = 341
                    .Bottom = 384
                    .Left = 60 * Burgers(I).Frame
                    .Right = .Left + 60
                End With
                .Y = .Y + 4 'Move down...
                If .Y > GameOptions.ResY Then .Enabled = False 'If too low, disable...
                
                DDSBack.BltFast .X, .Y, ddsSprites, TempRect, DDBLTFAST_SRCCOLORKEY Or DDBLTFAST_WAIT 'blit to front
            End With
        End If
    Next I
End Sub
