VERSION 5.00
Begin VB.Form frmDriverSelect 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Configure Pinguin"
   ClientHeight    =   2700
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   6015
   Icon            =   "FrmDriverSelect.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   180
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   401
   StartUpPosition =   2  'CenterScreen
   Begin VB.Frame Frame1 
      Height          =   2775
      Left            =   0
      TabIndex        =   0
      Top             =   -75
      Width           =   6015
      Begin VB.CheckBox chkUseHardware 
         Caption         =   "Use 3D Card"
         Height          =   255
         Left            =   3480
         TabIndex        =   9
         Top             =   1800
         Value           =   1  'Checked
         Width           =   1575
      End
      Begin VB.CheckBox chkFPS 
         Caption         =   "Show Framerate"
         Height          =   255
         Left            =   3480
         TabIndex        =   8
         Top             =   1440
         Value           =   1  'Checked
         Width           =   2295
      End
      Begin VB.CheckBox chkABurgers 
         Caption         =   "AlphaBlend Burgers"
         Height          =   255
         Left            =   1560
         TabIndex        =   7
         Top             =   1800
         Value           =   1  'Checked
         Width           =   1695
      End
      Begin VB.CheckBox chkAStars 
         Caption         =   "AlphaBlend Stars"
         Height          =   255
         Left            =   1560
         TabIndex        =   6
         Top             =   1440
         Value           =   1  'Checked
         Width           =   2175
      End
      Begin VB.CheckBox chkMusic 
         Caption         =   "Music"
         Height          =   255
         Left            =   120
         TabIndex        =   5
         Top             =   1800
         Value           =   1  'Checked
         Width           =   2055
      End
      Begin VB.CheckBox chkSound 
         Caption         =   "Sound"
         Height          =   255
         Left            =   120
         TabIndex        =   4
         Top             =   1440
         Value           =   1  'Checked
         Width           =   1935
      End
      Begin VB.CommandButton Command1 
         Caption         =   "Cancel"
         Height          =   495
         Left            =   1680
         TabIndex        =   11
         Top             =   2160
         Width           =   1455
      End
      Begin VB.CommandButton Command2 
         Caption         =   "OK"
         Default         =   -1  'True
         Height          =   495
         Left            =   120
         TabIndex        =   10
         Top             =   2160
         Width           =   1455
      End
      Begin VB.ComboBox cmbD3DDriver 
         Height          =   315
         Left            =   1560
         TabIndex        =   3
         Text            =   "Combo3"
         Top             =   960
         Width           =   4335
      End
      Begin VB.ComboBox cmbResolution 
         Height          =   315
         Left            =   1560
         TabIndex        =   2
         Text            =   "Combo2"
         Top             =   600
         Width           =   4335
      End
      Begin VB.ComboBox cmbDDDriver 
         Height          =   315
         Left            =   1560
         TabIndex        =   1
         Text            =   "Combo1"
         Top             =   240
         Width           =   4335
      End
      Begin VB.Label Label3 
         Caption         =   "Direct3D driver:"
         Height          =   255
         Left            =   120
         TabIndex        =   14
         Top             =   960
         Width           =   1455
      End
      Begin VB.Label Label2 
         Caption         =   "Resolution:"
         Height          =   255
         Left            =   120
         TabIndex        =   13
         Top             =   600
         Width           =   855
      End
      Begin VB.Label Label1 
         Caption         =   "DirectDraw driver:"
         Height          =   255
         Left            =   120
         TabIndex        =   12
         Top             =   240
         Width           =   1335
      End
   End
End
Attribute VB_Name = "frmDriverSelect"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
 Option Explicit
 Private EnumDD As DirectDrawEnum
 Private EnumDDMode As DirectDrawEnumModes
 Private EnumD3D As Direct3DEnumDevices

Private Sub Command1_Click()
    'Purpose: Quitting Pinguin
    blnProceed = False
    UnloadAll
    End
End Sub

Private Sub Command2_Click()
 'Purpose: Getting and Setting configuration
 Dim strVideo As String
 Dim InsX As Long, Rest As String
 Dim AppDir As String
 
 AppDir = Tools.AppDir
 
 strVideo = cmbResolution.Text
  InsX = InStr(strVideo, "x")
 GameOptions.ResX = Val(Left(strVideo, InsX - 1))
  Rest = Mid(strVideo, InsX + 1)
  InsX = InStr(Rest, "x")
 GameOptions.ResY = Val(Left(Rest, InsX - 1))
 GameOptions.BPP = Val(Mid(Rest, InsX + 1))
 
 DirectDrawGUID = EnumDD.GetGuid(cmbDDDriver.ListIndex + 1) 'Get the guid from the lcomovo
 Direct3DGUID = EnumD3D.GetGuid(cmbD3DDriver.ListIndex + 1) 'Get the 3d guid from the combo
 
    With Tools 'Write current setup to ini.....
        .AddToINI AppDir & "setup.ini", "PINGUIN", "RESOLUTIONX", GameOptions.ResX
        .AddToINI AppDir & "setup.ini", "PINGUIN", "RESOLUTIONY", GameOptions.ResY
        .AddToINI AppDir & "setup.ini", "PINGUIN", "BITSPERPIXEL", GameOptions.BPP
        .AddToINI AppDir & "setup.ini", "PINGUIN", "DDGUID", DirectDrawGUID
        .AddToINI AppDir & "setup.ini", "PINGUIN", "D3DGUID", Direct3DGUID
        .AddToINI AppDir & "setup.ini", "PINGUIN", "SOUND", chkSound.Value
        .AddToINI AppDir & "setup.ini", "PINGUIN", "MUSIC", chkMusic.Value
        .AddToINI AppDir & "setup.ini", "PINGUIN", "ASTARS", chkAStars.Value
        .AddToINI AppDir & "setup.ini", "PINGUIN", "ABURGERS", chkABurgers.Value
        .AddToINI AppDir & "setup.ini", "PINGUIN", "SHOWFPS", chkFPS.Value
        .AddToINI AppDir & "setup.ini", "PINGUIN", "HARDWARE", chkUseHardware.Value
    End With
    With GameOptions 'Get options from checkboxes...
        .AlphaBurgers = chkABurgers.Value
        .AlphaStars = chkAStars.Value
        .FrameRate = chkFPS.Value
        .Music = chkMusic.Value
        .Sounds = chkSound.Value
        .blnUseHardware = chkUseHardware.Value
    End With
  
 blnProceed = True  'Continue...
 Me.Hide 'Hide form
 
End Sub

Private Sub Form_Load()
 EnumDDDrivers  'Enumerate DirectDraw stuff.
End Sub

Private Sub EnumDDDrivers()
 Dim Found As Integer, I As Integer
 Dim Guid As String
 Set EnumDD = DirectX.GetDDEnum
 Dim AppDir As String
 AppDir = Tools.AppDir
 cmbDDDriver.Clear
 On Error Resume Next
 'Guid = FileSys.GetFromINI("PINGUIN", "DDGUID", AppDir & "setup.ini")
 For I = 1 To EnumDD.GetCount
   cmbDDDriver.AddItem EnumDD.GetDescription(I)
   If Guid = EnumDD.GetGuid(I) Then
    cmbDDDriver.ListIndex = I - 1
    Found = I
   End If
 Next I
 
 EnumD3DDrivers Found
 
End Sub

Private Sub EnumD3DDrivers(D3DDevice As Integer)
  On Error GoTo Fout
  
  Dim DDTemp As DirectDraw7, DDSD As DDSURFACEDESC2
  Dim DESC As DDSURFACEDESC2
  Dim I As Integer, Found As Integer
  Dim CurrentWidth As Long, CurrentHeight As Long, CurrentBBP As Long
  Dim DevGUID As String
  Dim AppDir As String
  Set DDTemp = DirectX.DirectDrawCreate(EnumDD.GetGuid(D3DDevice))
  Set EnumDDMode = DDTemp.GetDisplayModesEnum(DDEDM_DEFAULT, DDSD)
  
  cmbResolution.Clear
   
  AppDir = Tools.AppDir
  On Error Resume Next 'If an error occures here, it doesn't matter...
   CurrentWidth = Val(Tools.GetFromINI("PINGUIN", "RESOLUTIONX", AppDir & "setup.ini"))
   CurrentHeight = Val(Tools.GetFromINI("PINGUIN", "RESOLUTIONY", AppDir & "setup.ini"))
   CurrentBBP = Val(Tools.GetFromINI("PINGUIN", "BITSPERPIXEL", AppDir & "setup.ini"))
  On Error GoTo Fout 'From here it does again.
  
   For I = 1 To EnumDDMode.GetCount
    EnumDDMode.GetItem I, DESC
    If CStr(DESC.ddpfPixelFormat.lRGBBitCount) = 16 Then
     If CStr(DESC.lHeight) <= 768 And CStr(DESC.lHeight) >= 480 Then 'check for the height in the list
      cmbResolution.AddItem CStr(DESC.lWidth) + "x" + CStr(DESC.lHeight) + "x" + CStr(DESC.ddpfPixelFormat.lRGBBitCount)
      
      If Found <> 0 Then
      If CurrentWidth = DESC.lWidth And CurrentHeight = DESC.lHeight And CurrentBBP = DESC.ddpfPixelFormat.lRGBBitCount Then
         Found = I 'Found the height in the list...
     End If
     End If
   
   End If
  End If
  Next I
  
  If Found <> 0 Then
    Dim strVideo As String
    Dim InsX As String, Reste As String
    strVideo = CurrentHeight
    
    For I = 1 To cmbResolution.ListCount - 1
      InsX = InStr(1, cmbResolution.List(I), "x")
      If Mid(cmbResolution.List(I), InsX + 1, 3) = strVideo Then cmbResolution.ListIndex = I 'Select the found resolution configuration
    Next I
  Else
   cmbResolution.ListIndex = 0
  End If
  Found = 0

  Dim Direct3DTemp As Direct3D7
  Set Direct3DTemp = DDTemp.GetDirect3D
  Set EnumD3D = Direct3DTemp.GetDevicesEnum
  On Error Resume Next 'is not
  DevGUID = CStr(Tools.GetFromINI("PINGUIN", "D3DGUID", AppDir & "setup.ini"))
  On Error GoTo Fout 'is to.
  cmbD3DDriver.Clear
   For I = 1 To EnumD3D.GetCount
    cmbD3DDriver.AddItem EnumD3D.GetDescription(I)
    If EnumD3D.GetGuid(I) = DevGUID Then
     Found = I 'Guid was found in the list
    End If
  Next I
  If Found = 0 Then
   Found = EnumD3D.GetCount
  End If
  cmbD3DDriver.ListIndex = Found - 1
  
  On Error Resume Next 'Doesn't matter. Get configuration:
  chkSound.Value = CBool(Tools.GetFromINI("PINGUIN", "SOUND", AppDir & "setup.ini"))
  chkMusic.Value = CBool(Tools.GetFromINI("PINGUIN", "MUSIC", AppDir & "setup.ini"))
  chkAStars.Value = CBool(Tools.GetFromINI("PINGUIN", "ASTARS", AppDir & "setup.ini"))
  chkABurgers.Value = CBool(Tools.GetFromINI("PINGUIN", "ABURGERS", AppDir & "setup.ini"))
  chkFPS.Value = CBool(Tools.GetFromINI("PINGUIN", "SHOWFPS", AppDir & "setup.ini"))
  chkUseHardware.Value = CBool(Tools.GetFromINI("PINGUIN", "HARDWARE", AppDir & "setup.ini"))
  
  
  
  Exit Sub
  
Fout:
  MsgBox "(EnumD3DDrivers) Error: " & Err.Number, vbCritical
  UnloadAll
  End
End Sub


